import argparse

from config import load_config
from workflow.worker import do_workflow

if __name__ == '__main__':
    load_config()
    parser = argparse.ArgumentParser()
    parser.add_argument("video", help="视频标准")
    parser.add_argument("base", help="弹幕标准")
    parser.add_argument("files", nargs="*", help="弹幕需要对齐", default=[])
    args = parser.parse_args()
    do_workflow(args.video, args.base, *args.files)
